using System;
using System.Collections.Generic;
using System.Text;

namespace Avaliador.BLL
{
    public class ResultadoCalculo : BusinessObject
    {
        string designacao;

        public string Designacao
        {
            get { return designacao; }
            set { designacao = value; }
        }
        DateTime dataCriacao;

        public DateTime DataCriacao
        {
            get { return dataCriacao; }
            set { dataCriacao = value; }
        }
        Expressao exp;
        IList<Variavel> vars;

        public IList<Variavel> Variaveis
        {
            get { return new System.Collections.ObjectModel.ReadOnlyCollection<Variavel>(vars); }
        }

        public string Formula
        {
            get { return exp.Text; }
        }

        public double Resultado
        {
            get
            {
                return exp.Valor;
            }
        }

        string observacoes;

        public string Observacoes
        {
            get { return observacoes; }
            set { observacoes = value; }
        }


        public ResultadoCalculo()
        {
        }

        public ResultadoCalculo(string designacao, Expressao exp, IList<Variavel> vars, string obs)
        {
            this.Designacao = designacao;
            this.exp = exp;
            this.vars = vars;
            this.observacoes = obs;
            this.dataCriacao = DateTime.Now;
        }
    }
}
